Page MenuHomePhabricator

Tool "ifttt-testing" loads assets from many sites, mixed http/https
Closed, ResolvedPublic

Description

https://tools.wmflabs.org/ifttt-testing/: https://cdnjs.cloudflare.com/ajax/libs/materialize/0.96.1/css/materialize.min.css
https://tools.wmflabs.org/ifttt-testing/: https://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/css/bootstrap.min.css
https://tools.wmflabs.org/ifttt-testing/: http://materialdesignblog.com/Material-Design-Flipper/material/css/ripples.min.css
https://tools.wmflabs.org/ifttt-testing/: http://materialdesignblog.com/Material-Design-Flipper/material/css/material-wfont.min.css
https://tools.wmflabs.org/ifttt-testing/: http://materialdesignblog.com/Material-Design-Flipper/css/flipper.css
https://tools.wmflabs.org/ifttt-testing/: https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css
https://tools.wmflabs.org/ifttt-testing/: http://code.jquery.com/jquery-1.10.2.min.js
https://tools.wmflabs.org/ifttt-testing/: http://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/js/bootstrap.min.js
https://tools.wmflabs.org/ifttt-testing/: https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js
https://tools.wmflabs.org/ifttt-testing/: http://materialdesignblog.com/Material-Design-Flipper/material/js/ripples.min.js
https://tools.wmflabs.org/ifttt-testing/: http://materialdesignblog.com/Material-Design-Flipper/material/js/material.min.js
https://tools.wmflabs.org/ifttt-testing/: https://cdnjs.cloudflare.com/ajax/libs/jquery/1.11.3/jquery.min.js
https://tools.wmflabs.org/ifttt-testing/: https://cdnjs.cloudflare.com/ajax/libs/materialize/0.96.1/js/materialize.min.js
https://tools.wmflabs.org/ifttt-testing/: http://fonts.googleapis.com/css?family=Roboto+Condensed:300italic,400italic,700italic,400,700,300|Roboto:400,100,100italic,300,300italic,400italic,500,500italic,700,700italic
https://tools.wmflabs.org/ifttt-testing/: http://fonts.gstatic.com/s/robotocondensed/v14/Zd2E9abXLFGSr9G3YK2MsDR-eWpsHSw83BRsAQElGgc.ttf
https://tools.wmflabs.org/ifttt-testing/: http://materialdesignblog.com/Material-Design-Flipper/material/fonts/Material-Design.woff?2u7a7w

Loading from external providers are discouraged. Please see parent tasks and J65.
In your case a direct replacement for those non-materialdesignblog.com assets would be:

I'm not sure about materialdesignblog.com. https://tools.wmflabs.org/cdnjs/ contains quite a few libraries related to material design. You might want to investigate it.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 5 2017, 3:16 PM

@zhuyifei1999, I worked on this tool and thanks for reporting. Will work on it. Thanks.

@zhuyifei1999, I have removed some of the external CDNs. Can you help me recheck and see what is left? The output should be like those previous one you posted in the task. Also, I will try to see if there are CDN for the material ripples and flippers on tool labs.

Still loaded:

https://cdnjs.cloudflare.com/ajax/libs/materialize/0.96.1/css/materialize.min.css 
http://materialdesignblog.com/Material-Design-Flipper/material/css/ripples.min.css 
http://materialdesignblog.com/Material-Design-Flipper/material/css/material-wfont.min.css 
http://materialdesignblog.com/Material-Design-Flipper/css/flipper.css 
http://materialdesignblog.com/Material-Design-Flipper/material/js/ripples.min.js 
http://materialdesignblog.com/Material-Design-Flipper/material/js/material.min.js 
https://cdnjs.cloudflare.com/ajax/libs/jquery/1.11.3/jquery.min.js 
https://cdnjs.cloudflare.com/ajax/libs/materialize/0.96.1/js/materialize.min.js 
http://fonts.googleapis.com/css?family=Roboto+Condensed:300italic,400italic,700italic,400,700,300|Roboto:400,100,100italic,300,300italic,400italic,500,500italic,700,700italic 
http://fonts.gstatic.com/s/robotocondensed/v14/Zd2E9abXLFGSr9G3YK2MsDR-eWpsHSw83BRsAQElGgc.ttf 
http://materialdesignblog.com/Material-Design-Flipper/material/fonts/Material-Design.woff?2u7a7w

Thank you @zhuyifei1999 for the recheck.

D3r1ck01 triaged this task as Normal priority.Sep 20 2017, 6:26 PM
D3r1ck01 lowered the priority of this task from Normal to Low.Dec 9 2017, 5:06 PM
D3r1ck01 raised the priority of this task from Low to High.Dec 23 2017, 3:45 PM

@zhuyifei1999, I've fixed this issue and also changed the UI of the application entirely. You can have a look and let me know if it's still using external content. If not, we can mark this as resolved right? :)

zhuyifei1999 closed this task as Resolved.Dec 24 2017, 3:18 AM

https://tools.wmflabs.org/ifttt-testing/ no longer loads external assets AFAICT, by a quick inspection using the Firefox & Chromium developer tools. The commit is too gigantic for me to analyze carefully :P

Thanks for verifying and approving @zhuyifei1999. :)